package com.ruoyi.project.ehs.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * RC审计助手目录对象 t_rcauditmenu
 *
 * @author ruoyi
 * @date 2020-12-07
 */
public class TRcauditmenu extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 父菜单ID */
    private Long parentId;

    /** RC代码 */
    @Excel(name = "RC代码")
    private String serialNum;

    /** 名称 */
    @Excel(name = "名称")
    private String nameCn;

    /** 英文名称 */
    @Excel(name = "英文名称")
    private String nameEn;

    /** 部门编号 */
    private Long deptId;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 序号第一位 */
    private Long itemFirst;

    /** 序号第二位 */
    private Long itemSecond;

    /** 序号第三位 */
    private Long itemThird;

    /** 序号第四位 */
    private Long itemFourth;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode) { this.plantCode = plantCode; }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setSerialNum(String serialNum)
    {
        this.serialNum = serialNum;
    }

    public String getSerialNum()
    {
        return serialNum;
    }
    public void setNameCn(String nameCn)
    {
        this.nameCn = nameCn;
    }

    public String getNameCn()
    {
        return nameCn;
    }
    public void setNameEn(String nameEn)
    {
        this.nameEn = nameEn;
    }

    public String getNameEn()
    {
        return nameEn;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public Long getParentId()
    {
        return parentId;
    }

    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }
    public void setItemFirst(Long itemFirst) { this.itemFirst = itemFirst; }

    public Long getItemFirst() { return itemFirst; }
    public void setItemSecond(Long itemSecond) { this.itemSecond = itemSecond; }

    public Long getItemSecond() { return itemSecond; }
    public void setItemThird(Long itemThird) { this.itemThird = itemThird; }

    public Long getItemThird() { return itemThird; }
    public void setItemFourth(Long itemFourth) { this.itemFourth = itemFourth; }

    public Long getItemFourth() { return itemFourth; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("parentId", getParentId())
            .append("serialNum", getSerialNum())
            .append("nameCn", getNameCn())
            .append("nameEn", getNameEn())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptName", getDeptName())
            .append("itemFirst", getItemFirst())
            .append("itemSecond", getItemSecond())
            .append("itemThird", getItemThird())
            .append("itemFourth", getItemFourth())
            .toString();
    }
}
